Bug 12599 - IndependentBranches Holes
Summary: IndependentBranches Holes
Status: NEW
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Bugs List
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-18 06:46 UTC by David Cook
Modified: 2018-11-27 11:42 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Cook 2014-07-18 06:46:51 UTC
When IndependentBranches is turned on, you cannot find patrons from other branches using the search interface. However, you can change the argument for the "member" parameter, and access patrons from other branches in this way.

That said, you still can't "Edit" or "Delete" patrons from other branches. "Edit" will kick you out of the record and return you to the search screen, while "Delete" tells you that you're being naughty.

However...

You "can":

1) change their password
2) print summaries
3) renew their registration
4) set permissions
5) export today's checked out barcodes
6) manage fines
7) check things out to them (from the Checkout tab and possibly if there is a perm/preference for checking things out to people from different branches...)
8) view circulation history && statistics
9) view purchase suggestions (and fill out the form...although saving it doesn't appear to do anything)
Comment 1 David Cook 2014-07-18 06:54:41 UTC
You can also view the checkout history for all items/patrons in the staff client catalogue via "/cgi-bin/koha/catalogue/issuehistory.pl"

You can also see all holds at "/cgi-bin/koha/reserve/request.pl". Here you can modify/delete holds for patrons from other branches.

You can also change the "Lost", "Damaged" and "Withdrawn" status via "/cgi-bin/koha/catalogue/moredetail.pl"

[Note: I have no intention at the moment of fixing any of these problems, as we don't tend to use IndependentBranches. I thought it better to log the issue rather than to leave it be silent though.]
Comment 2 David Cook 2014-07-18 06:59:58 UTC
I haven't looked at cataloguing/authorities much. Nor have I looked at lists, acquisitions, or serials.

Don't know about reports, administration, or tools. They might be harder to lock down on a per branch basis.
Comment 3 Katrin Fischer 2015-11-10 13:48:53 UTC
You also see the patron names in the list of pending on-site checkouts and the link from checked out books in staff leads directly to the patron account, even with HidePatronName turned on.
Comment 4 M. Tompsett 2016-06-14 14:20:48 UTC
I suspect that bug 15707 is a step towards fixing independent branch permissions for consortia.
Comment 5 Kyle M Hall 2016-06-14 15:51:31 UTC
(In reply to M. Tompsett from comment #4)
> I suspect that bug 15707 is a step towards fixing independent branch
> permissions for consortia.

Indeed, I have a general endgame that involves being able to set permissions on a per library or per group basis. It will require an under the hood revamp of the permissions system. It's on my todo list ; )
Comment 6 M. Tompsett 2016-06-16 19:45:32 UTC
(In reply to Kyle M Hall from comment #5)
> Indeed, ... . It's on my todo list ; )

TODO lists get lost. How do we get that on a "Doing It Now" list? :)
Comment 7 Owen Leonard 2016-06-17 11:50:04 UTC
(In reply to M. Tompsett from comment #6)
> (In reply to Kyle M Hall from comment #5)
> > Indeed, ... . It's on my todo list ; )
> 
> TODO lists get lost. How do we get that on a "Doing It Now" list? :)

Oh that's easy: You put up some time or money.
Comment 8 Kyle M Hall 2016-06-27 15:17:50 UTC
(In reply to Owen Leonard from comment #7)
> (In reply to M. Tompsett from comment #6)
> > (In reply to Kyle M Hall from comment #5)
> > > Indeed, ... . It's on my todo list ; )
> > 
> > TODO lists get lost. How do we get that on a "Doing It Now" list? :)
> 
> Oh that's easy: You put up some time or money.

I'd be happy to write up an RFP if anyone is interested in getting started on this!
Comment 9 Séverine Queune 2018-09-26 14:13:39 UTC
(In reply to David Cook from comment #0)
> When IndependentBranches is turned on, you cannot find patrons from other
> branches using the search interface. However, you can change the argument
> for the "member" parameter, and access patrons from other branches in this
> way.
> 
> That said, you still can't "Edit" or "Delete" patrons from other branches.
> "Edit" will kick you out of the record and return you to the search screen,
> while "Delete" tells you that you're being naughty.
> 
> However...
> 
> You "can":
> 
> 1) change their password
> 2) print summaries
> 3) renew their registration
> 4) set permissions
> 5) export today's checked out barcodes
> 6) manage fines
> 7) check things out to them (from the Checkout tab and possibly if there is
> a perm/preference for checking things out to people from different
> branches...)
> 8) view circulation history && statistics
> 9) view purchase suggestions (and fill out the form...although saving it
> doesn't appear to do anything)

Don't know if it's the right place...

Problem is still valid, in spite of the use of the new permission view_borrower_infos_from_any_libraries permission or the new library groups management.
Seems to come from the library filter on the 'Patrons' menu page (cgi-bin/koha/members/members-home.pl) that only allows the current user site for search.